### Name: Special
### Title: Special Functions of Mathematics
### Aliases: Special beta lbeta gamma lgamma digamma trigamma tetragamma
###   pentagamma choose lchoose
### Keywords: math

### ** Examples

choose(5, 2)
for (n in 0:10) print(choose(n, k = 0:n))

## gamma has discontinuities are 0, -1, -2, ...
## Not run: 
##D ## use plots of points to show this.
##D curve(gamma(x),-3,4, n=1001, ylim=c(-10,100),
##D       col="red", lwd=2, main="gamma(x)")
##D abline(h=0,v=0, lty=3, col="midnightblue")
## End(Not run)

x <- seq(.1, 4, length = 201); dx <- diff(x)[1]
par(mfrow = c(2, 3))
for (ch in c("", "l","di","tri","tetra","penta")) {
  is.deriv <- nchar(ch) >= 2
  if (is.deriv) dy <- diff(y) / dx
  nm <- paste(ch, "gamma", sep = "")
  y <- get(nm)(x)
  plot(x, y, type = "l", main = nm, col = "red")
  abline(h = 0, col = "lightgray")
  if (is.deriv) lines(x[-1], dy, col = "blue", lty = 2)
}



